org.apache.maven.scm.provider.perforce.command.changelog

## Class PerforceChangeLogConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.perforce.command.changelog.PerforceChangeLogConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class PerforceChangeLogConsumer
    extends AbstractConsumer

Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
Constructor and Description
`PerforceChangeLogConsumer(String path, Date startDate, Date endDate, String userDatePattern, ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`List<ChangeSet>` `getModifications()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceChangeLogConsumer

    public PerforceChangeLogConsumer(String path,
                                     Date startDate,
                                     Date endDate,
                                     String userDatePattern,
                                     ScmLogger logger)

### Method Detail

#### getModifications

    public List<ChangeSet> getModifications()
                                     throws ScmException

Throws:
  `ScmException`

#### consumeLine

    public void consumeLine(String line)